Subject: Re: bug#11016: 24.0.94; Right-to-left GUI

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Oct 2019 21:46:11 +0300

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Thu, 3 Oct 2019 20:10:20 +0200
> 
>  > Some prefer one, others prefer the other.  It should be a separate
>  > user option, because there's no one-fits-all solution, and basing the
>  > solution on the locale is definitely wrong (one can work in a R2L
>  > locale without speaking any R2L language).
> 
> We probably should use gtk_menu_bar_set_child_pack_direction right
> after the gtk_menu_bar_new call in create_menus according to that user
> option.  Its values would probably be 'left-to-right', 'right-to-left'
> and nil - to leave the decision to the locale.

Once again, it makes no sense to have the UI direction right-to-left
when the labels are all in English.  If anything, it looks UUGLEEE!